Выполнение произвольного кода в CUPS

Дата публикации:27.12.2004
Всего просмотров:907
Опасность:
Средняя
Наличие исправления:
Количество уязвимостей:1
CVE ID: Нет данных
Вектор эксплуатации:
Воздействие:
CWE ID: Нет данных
Наличие эксплоита: Нет данных
Уязвимые продукты:
Уязвимые версии: CUPS 1.1.22

Описание:
Обнаружена уязвимость в CUPS. Удаленный атакующий может выполнить произвольный код на уязвимой системе.

Уязвимость обнаружена в функции ParseCommand() файла 'hpgl-input.c'. Удаленный атакующий может создать специально сформированный HPGL и выполнить произвольный код на уязвимой системе с привилегиями пользователя lp.

URL производителя: www.cups.org

Решение: Решение не существует на данный момент.

Ссылки: CUPS HPGL Buffer Overflow in ParseCommand() Lets Remote Users Execute Arbitrary Code